Cant recompile PHP with postgresql support

sexy_guy

Well-Known Member
Mar 19, 2003
848
0
166
I keep getting this error when i try to recompile php with postgresql support.

configure: error: Cannot find libpq-fe.h. Please specify correct PostgreSQL installation path

According to this, libpg-fe.h is supposed to reside in /usr/local/pgsql but there is no such directory. Running 7.3.3 as per installpostgres. As per my other servers this file exists but it does not exist on a particular server im trying to recompile php on.

cPanel.net Support Ticket Number:
 
Last edited:

hormigo

Well-Known Member
Sep 9, 2002
108
0
166
i have the same problem, i recompile apache before postgres update to 7.3.3 and now apache and postgres is down, i get this error

Attempting to restart httpd
Waiting for httpd to restart.... . . . . . . . . . . finished.

httpd status



httpd has failed, please contact the sysadmin.

cPanel.net Support Ticket Number:
 

hormigo

Well-Known Member
Sep 9, 2002
108
0
166
bdraco,

I have a little problem.
I recompile apache again and now, my apache and postgre works fine but service status show postgres down and i can access to phppgadmin :/

In my phpinfo i can see that
PostgreSQL(libpq) Version 7.2.3
and i have 7.3.3 installed
and Build Date Aug 3 2003 20:21:57 and today is 14th


Have you got any idea?

cPanel.net Support Ticket Number:
 

casey

Well-Known Member
Jan 17, 2003
2,298
0
191
Originally posted by sexy_guy
I keep getting this error when i try to recompile php with postgresql support.

configure: error: Cannot find libpq-fe.h. Please specify correct PostgreSQL installation path

According to this, libpg-fe.h is supposed to reside in /usr/local/pgsql but there is no such directory. Running 7.3.3 as per installpostgres. As per my other servers this file exists but it does not exist on a particular server im trying to recompile php on.

cPanel.net Support Ticket Number:
Same here.

cPanel.net Support Ticket Number:
 

hormigo

Well-Known Member
Sep 9, 2002
108
0
166
anyone can post /etc/chkservd/postgresql

my postgresql is up but service status shows always down.

Thanks in advance.

cPanel.net Support Ticket Number:
 

vucsht

Registered
Jun 13, 2003
4
0
151
Originally posted by sexy_guy
I keep getting this error when i try to recompile php with postgresql support.

configure: error: Cannot find libpq-fe.h. Please specify correct PostgreSQL installation path

Still have the same problem.
There is a solution of this problem?

cPanel.net Support Ticket Number:
 

casey

Well-Known Member
Jan 17, 2003
2,298
0
191
I submitted a ticket. No solution yet.

cPanel.net Support Ticket Number: 21156
 

hormigo

Well-Known Member
Sep 9, 2002
108
0
166
same problem with buildapache.sea (Mon Aug 18 20:27:52 2003)

cPanel.net Support Ticket Number:
 

casey

Well-Known Member
Jan 17, 2003
2,298
0
191
sexy_guy,

Before I lose all respect for you, could you please reassure me that the reason your posts have been deleted is not because you figured out the solution and did not want to share it?

Anyway for everyone else, Darren at cpanel helped me and the solution was to reinstall the postgres-devel rpm. After that php compiled with pgsql.

cPanel.net Support Ticket Number:
 

casey

Well-Known Member
Jan 17, 2003
2,298
0
191
Originally posted by casey
sexy_guy,

Before I lose all respect for you, could you please reassure me that the reason your posts have been deleted is not because you figured out the solution and did not want to share it?

Ha, ha. Nevermind. It appears that he's been banned again. What will be his next username?

cPanel.net Support Ticket Number:
 

goodmove

Well-Known Member
May 12, 2003
643
4
168
Does Cpanel install 7.3.2 or 7.3.3 of postgresql?

Do we still need to upgrade postgres-devel if we just install postgresql through Cpanel?
 

casey

Well-Known Member
Jan 17, 2003
2,298
0
191
Originally posted by goodmove
Does Cpanel install 7.3.2 or 7.3.3 of postgresql?

Do we still need to upgrade postgres-devel if we just install postgresql through Cpanel?
Not if you can compile php with pgsql without errors. If you are getting errors, check to make sure you have postgres-devel installed.

/scripts/installpostgres installs 7.3.3

cPanel.net Support Ticket Number:
 

Steve-PWH

Well-Known Member
Jun 30, 2002
116
0
166